Panda3D

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
BulletConeTwistConstraint Class Reference
Inheritance diagram for BulletConeTwistConstraint:

## Public Member Functions
| BulletConeTwistConstraint (const BulletRigidBodyNode *node_a, const BulletRigidBodyNode *node_b, const TransformState *frame_a, const TransformState *frame_b)
| BulletConeTwistConstraint (const BulletRigidBodyNode *node_a, const TransformState *frame_a)
| CPT (TransformState) get_frame_a() const
| CPT (TransformState) get_frame_b() const
void | enable_motor (bool enable)
virtual TypeHandle | force_init_type ()
PN_stdfloat | get_fix_threshold () const
virtual TypeHandle | get_type () const
virtual btTypedConstraint * | ptr () const
void | set_damping (PN_stdfloat damping)
void | set_fix_threshold (PN_stdfloat threshold)
void | set_frames (const TransformState *ts_a, const TransformState *ts_b)
void | set_limit (int index, PN_stdfloat value)
void | set_limit (PN_stdfloat swing1, PN_stdfloat swing2, PN_stdfloat twist, PN_stdfloat softness=1.0f, PN_stdfloat bias=0.3f, PN_stdfloat relaxation=1.0f)
void | set_max_motor_impulse (PN_stdfloat max_impulse)
void | set_max_motor_impulse_normalized (PN_stdfloat max_impulse)
void | set_motor_target (const LQuaternion &quat)
void | set_motor_target_in_constraint_space (const LQuaternion &quat)
Public Member Functions inherited from BulletConstraint
void | enable_feedback (bool value)
PN_stdfloat | get_applied_impulse () const
PN_stdfloat | get_breaking_threshold () const
PN_stdfloat | get_debug_draw_size ()
PN_stdfloat | get_param (ConstraintParam num, int axis=-1)
BulletRigidBodyNode * | get_rigid_body_a ()
BulletRigidBodyNode * | get_rigid_body_b ()
bool | is_enabled () const
void | set_breaking_threshold (PN_stdfloat threshold)
void | set_debug_draw_size (PN_stdfloat size)
void | set_enabled (bool enabled)
void | set_param (ConstraintParam num, PN_stdfloat value, int axis=-1)
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type. More...
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly. More...
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type. More...
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from BulletConstraint
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96. More...
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Public Attributes
| get_fix_threshold
| get_frame_a
| get_frame_b
| set_fix_threshold
Public Attributes inherited from BulletConstraint
| get_applied_impulse
| get_breaking_threshold
| Returns the applied impluse limit for breaking the constraint. More...
| get_debug_draw_size
| get_rigid_body_a
| get_rigid_body_b
| is_enabled
| Returns TRUE if the constraint is enabled. More...
| set_breaking_threshold
| Sets the applied impulse limit for breaking the constraint. More...
| set_debug_draw_size
| set_enabled
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Additional Inherited Members
Public Types inherited from BulletConstraint
enum | ConstraintParam { CP_erp = 1 , CP_stop_erp , CP_cfm , CP_stop_cfm }

## Detailed Description

Definition at line 30 of file bulletConeTwistConstraint.h.

The documentation for this class was generated from the following files:

- panda/src/bullet/bulletConeTwistConstraint.h
- panda/src/bullet/bulletConeTwistConstraint.cxx
- panda/src/bullet/bulletConeTwistConstraint.I